---
title: Event.type
slug: Web/API/Event/type
tags:
  - API
  - DOM
  - Event
  - Property
  - Read-only
  - Reference
---
<p>{{APIRef}}</p>

<p>The <strong><code>type</code></strong> read-only property of the {{domxref("Event")}} interface returns a string containing the event's type. It is set when the event is constructed and is the name commonly used to refer to the specific event, such as <code>click</code>, <code>load</code>, or <code>error</code>.</p>

<p>For a list of available event types, see the <a href="/en-US/docs/Web/Events">event reference</a>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">let eventType = <var>event</var>.type;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} containing the type of {{domxref("Event")}}.</p>

<h2 id="Example">Example</h2>

<p>This example logs the event type whenever you press a keyboard key or click a mouse button.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;p&gt;Press any key or click the mouse to get the event type.&lt;/p&gt;
&lt;p id="log"&gt;&lt;/p&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js notranslate">function getEventType(event) {
  const log = document.getElementById('log');
  log.innerText = event.type + '\n' + log.innerText;
}

// Keyboard events
document.addEventListener('keydown', getEventType, false);  // first
document.addEventListener('keypress', getEventType, false); // second
document.addEventListener('keyup', getEventType, false);    // third

// Mouse events
document.addEventListener('mousedown', getEventType, false); // first
document.addEventListener('mouseup', getEventType, false);   // second
document.addEventListener('click', getEventType, false);     // third</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample('Example')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-event-type', 'Event.type')}}</td>
   <td>{{ Spec2('DOM WHATWG') }}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Events', '#Events-Event-type', 'Event.type')}}</td>
   <td>{{ Spec2('DOM2 Events') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Event.type")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ domxref("EventTarget.addEventListener()") }}</li>
 <li>{{ domxref("EventTarget.removeEventListener()") }}</li>
</ul>
